Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.attachments
Class ManagedMemoryDataSource

    java.lang.Object
      org.apache.axis.attachments.ManagedMemoryDataSource

All Implemented Interfaces:
  javax.activation.DataSource

public class ManagedMemoryDataSource
extends Object
implements javax.activation.DataSource

This class allows small attachments to be cached in memory.

Author:
  Thomas.Diesler@jboss.org

Field Summary
`protected String` | `contentType` Field contentType
`static int` | `MAX_MEMORY_SZ` Field READ_CHUNK_SZ
`static int` | `READ_CHUNK_SZ` Field READ_CHUNK_SZ

Constructor Summary
`ManagedMemoryDataSource(InputStream inputStream, String contentType)` Create a new in memory data source

Method Summary
`protected void` | `finalize()` Delete the cache file if one exists
`String` | `getContentType()`
`InputStream` | `getInputStream()`
`String` | `getName()`
`OutputStream` | `getOutputStream()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentType

    protected String contentType

  Field contentType

### READ_CHUNK_SZ

    public static final int READ_CHUNK_SZ

  Field READ_CHUNK_SZ

  See Also:
    Constant Field Values

### MAX_MEMORY_SZ

    public static final int MAX_MEMORY_SZ

  Field READ_CHUNK_SZ

  See Also:
    Constant Field Values

Constructor Detail

### ManagedMemoryDataSource

    public ManagedMemoryDataSource(InputStream inputStream,
                                   String contentType)
                            throws IOException

  Create a new in memory data source

Parameters:
  `inputStream` - is the source input stream that is used to create this data source..
  `contentType` - the mime type for this data stream

Method Detail

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `javax.activation.DataSource`

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Specified by:
    `getInputStream` in interface `javax.activation.DataSource`
  Throws:
    `IOException`

### getName

    public String getName()

  Specified by:
    `getName` in interface `javax.activation.DataSource`

### getOutputStream

    public OutputStream getOutputStream()
                                 throws IOException

  Specified by:
    `getOutputStream` in interface `javax.activation.DataSource`
  Throws:
    `IOException`

### finalize

    protected void finalize()
                     throws Throwable

  Delete the cache file if one exists

  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.